#include <QtGui/QApplication>
#include "mainwindow.h"
#include "freetypemodel.h"

int main(int argc, char *argv[])
{
    TFreeTypeModel FreeTypeModel;

    QApplication a(argc, argv);
    MainWindow w;
    w.show();

    w.SetFreeTypeModel(&FreeTypeModel);
    FreeTypeModel.SetMainWindow(&w);

    QObject::connect(&FreeTypeModel, SIGNAL(SetFontNameTextSignal(QString)), &w, SLOT(SetFontNameTextSlot(QString)));
    QObject::connect(&FreeTypeModel, SIGNAL(SetLoadResultTextSignal(QString)), &w, SLOT(SetLoadResultTextSlot(QString)));
    QObject::connect(&FreeTypeModel, SIGNAL(InvalidateSignal()), &w, SLOT(InvalidatePixmap()));


    return a.exec();
}
